<?xml version="1.0" encoding="UTF-8"?>
<xs:schema xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:class="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_SystemSettingContext" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" elementFormDefault="qualified" targetNamespace="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_SystemSettingContext">
<xs:import namespace="http://schemas.dmtf.org/wbem/wscim/1/common" schemaLocation="http://schemas.dmtf.org/wbem/wscim/1/common.xsd"/>
<xs:element name="Context" type="cim:cimReference">
<xs:annotation>
<xs:appinfo source="http://schemas.dmtf.org/wbem/wscim/1/common">
<cim:Qualifier name="Deprecated" type="cim:cimString">CIM_ConcreteComponent.GroupComponent</cim:Qualifier>
<cim:Qualifier name="Key" type="cim:cimBoolean">true</cim:Qualifier>
<cim:Qualifier name="Aggregate" type="cim:cimBoolean">true</cim:Qualifier>
<cim:Qualifier name="Description" type="cim:cimString">Note: The use of this element is deprecated. Deprecated description: The Configuration object that aggregates the Setting.</cim:Qualifier>
<cim:Classorigin name="CIM_SystemSettingContext"/>
</xs:appinfo>
</xs:annotation>
</xs:element>
<xs:element name="Setting" type="cim:cimReference">
<xs:annotation>
<xs:appinfo source="http://schemas.dmtf.org/wbem/wscim/1/common">
<cim:Qualifier name="Deprecated" type="cim:cimString">CIM_ConcreteComponent.PartComponent</cim:Qualifier>
<cim:Qualifier name="Key" type="cim:cimBoolean">true</cim:Qualifier>
<cim:Qualifier name="Description" type="cim:cimString">Note: The use of this element is deprecated. Deprecated description: An aggregated Setting.</cim:Qualifier>
<cim:Classorigin name="CIM_SystemSettingContext"/>
</xs:appinfo>
</xs:annotation>
</xs:element>
<xs:element name="CIM_SystemSettingContext" type="class:CIM_SystemSettingContext_Type">
<xs:annotation>
<xs:appinfo source="http://schemas.dmtf.org/wbem/wscim/1/common">
<cim:Class name="CIM_SystemSettingContext"/>
<cim:Qualifier name="Association" type="cim:cimBoolean">true</cim:Qualifier>
<cim:Qualifier name="Deprecated" type="cim:cimString">CIM_ConcreteComponent</cim:Qualifier>
<cim:Qualifier name="Aggregation" type="cim:cimBoolean">true</cim:Qualifier>
<cim:Qualifier name="Version" type="cim:cimString">2.10.0</cim:Qualifier>
<cim:Qualifier name="UMLPackagePath" type="cim:cimString">CIM::Core::Settings</cim:Qualifier>
<cim:Qualifier name="Description" type="cim:cimString">Note: The Configuration and SystemConfiguration classes are deprecated in lieu of using a ConcreteComponent relationship to indicate a hierarchy of Settings or SettingData instances. Therefore, the aggregation of SystemSettings into System Configurations is replaced by the ConcreteComponent relationship between instances of Settings and SettingData. 
Deprecated description: This relationship associates System-specific Configuration objects with System-specific Setting objects, similar to the SettingContext association.</cim:Qualifier>
</xs:appinfo>
</xs:annotation>
</xs:element>
<xs:complexType name="CIM_SystemSettingContext_Type">
<xs:sequence>
<xs:element ref="class:Context"/>
<xs:element ref="class:Setting"/>
<xs:any maxOccurs="unbounded" minOccurs="0" namespace="##other" processContents="lax"/>
</xs:sequence>
<xs:anyAttribute namespace="##any" processContents="lax"/>
</xs:complexType>
</xs:schema>
